package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.Frame;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface FrameMapper extends BaseMapper<Frame> {
    int deleteByPrimaryKey(Long frameId);

    int insert(Frame record);

    int insertSelective(Frame record);

    Frame selectByPrimaryKey(Long frameId);

    int updateByPrimaryKeySelective(Frame record);

    int updateByPrimaryKey(Frame record);
}